import React from "react";
interface IProps {
    newVersion: string;
    version: string;
    onFinished: (success: boolean) => void;
}
type State = Partial<Record<(typeof REPOS)[number], null | string | Commit[]>>;
interface Commit {
    sha: string;
    html_url: string;
    commit: {
        message: string;
    };
}
declare const REPOS: readonly ["vector-im/element-web", "matrix-org/matrix-react-sdk", "matrix-org/matrix-js-sdk"];
export default class ChangelogDialog extends React.Component<IProps, State> {
    constructor(props: IProps);
    private fetchChanges;
    componentDidMount(): void;
    private elementsForCommit;
    render(): React.ReactNode;
}
export {};
